#pragma once
#include <gmock/gmock.h>

#include <eedb/widgets/NavigationBar.hpp>

namespace eedb {
class NavigationBarMock final : public NavigationBar {
  public:
    NavigationBarMock() {}

  public:
    MOCK_METHOD1(attachTo, void(Wt::WContainerWidget * parent));
    MOCK_METHOD0(detach, void());

    MOCK_METHOD1(registerLogoutAction, void(std::function< void() > f));
};
}
